We depend on SAAJ RI instead of axis2-saaj. I think axis2-saaj implements SAAJ 1.3, which are used in Geronimo 2.1 (Java EE 5). And I thought Java EE 6 still requires SAAJ 1.3. Can someone shed some light here?

-Jack